{{ define "content" }}

<div class="row" id="FillInContent">
	<div class="col-12">
		<h1>
			{{ index .Translation "FillInHeading" }}
		</h1>
	    <ol>
	    	<li>{{ index .Translation "InstructionsLi1" }}</li>
	    	<li>{{ index .Translation "InstructionsLi2" }}</li>
	    	<li>{{ index .Translation "InstructionsLi3" }}</li>
	    	<li>{{ index .Translation "InstructionsLi4" }}</li>
	    	<li>
	    		{{ index .Translation "InstructionsLi5" }}
				<p class="text-info mt-3">{{ index .Translation "InstructionsLi5.1" }}</p>
	    	</li>

	    	<li>{{ index .Translation "InstructionsLi6" }}</li>
	  	</ol>
	  	<div class="form-group">
			<div class="custom-control custom-checkbox">
				<input class="custom-control-input" id="iAgree" value="true" type="checkbox">
				<label class="custom-control-label" for="iAgree">{{ index .Translation "IAgreeDesc" }}</label>
			</div>
		</div>
		<button type="button" class="btn btn-primary" id="FillInBtn">{{ index .Translation "FillIn" }}</button>
	</div>
</div>

<div class="row" id="BetSlipContent" style="display: none;">
	<div class="col-12">
		<h1>
			{{ index .Translation "BetSlip" }} 
		</h1>
		<form role="form" action="betslip-create" id="BetSlipForm" method="post">
			<input name="EventId" value="{{ .Data.EventId }}" type="hidden">
			<div class="form-group">
				<label for="Pseud">{{ index .Translation "PseudLong" }}</label>
				<input name="Pseud" class="form-control" id="Pseud" aria-describedby="PseudHelp" placeholder='{{ index .Translation "PseudReq" }}' type="text" title='{{ index .Translation "NameDesc" }}' pattern=".{2,}" required autofocus data-err='{{ index .Translation "PseudTooShort" }}'>
				<small id="PseudHelp" class="form-text text-muted">{{ index .Translation "PseudDesc" }}</small>
			</div>

			<h3 class="float-left">{{ index .Translation "GroupStage"}}</h3>
			<a class="float-right" href='/static/popups/schedule.{{ .Lang }}.txt' target="_blank" title='{{ index .Translation "GameSchedule"}}'>{{ index .Translation "GameSchedule"}}</a>
			<table class="table table-hover">
				<thead>
					<tr>
						<th class="table-dark bg-primary" scope="col" style="width: 70%">{{ index .Translation "Match" }}</th>
						<th class="table-dark bg-primary" scope="col" style="width: 5%">1</th>
						<th class="table-dark bg-primary" scope="col" style="width: 5%">X</th>
						<th class="table-dark bg-primary" scope="col" style="width: 5%">2</th>
						<th class="table-dark bg-primary text-right" scope="col">{{ index .Translation "Points" }}</th>
					</tr>
				</thead>
				<tbody>
					{{ range .Data.Matches }}
					<tr>
						<td>{{ translate .HomeVal }} - {{ translate .AwayVal }}</td>
						<td>
							<input name="match.{{ .ObjectId }}" value="{{ .HomeVal }}" type="radio" required>
					    </td>
					    <td>
					    	<input name="match.{{ .ObjectId }}" value="X" type="radio">
					    </td>
					    <td>
					    	<input name="match.{{ .ObjectId }}" value="{{ .AwayVal }}" type="radio">
					     </td>
						<td class="text-right">{{ .Points }}</td>
					</tr>
					{{ end }}
				</tbody>
			</table>
			<h3 class="mt-2">
				{{ index .Translation "Knockout16"}}
			</h3>
			<label for="RoundOf16">{{ index .Translation "Select16"}}</label>
			<span id="RoundOf16Pill" class="badge badge-primary badge-pill ml-2"></span>
			<div class="control-group row" id="RoundOf16Div" data-elem="RoundOf16" data-maxChecked="16">
				 <div class="controls span2 float-left col-sm">
				  {{ range $key, $value := .Data.Countries }}
					  {{ $row := add $key 1 }}
						<div class="custom-control custom-checkbox">
					      <input name="RoundOf16" value="{{ $value.FifaCode }}" class="custom-control-input" id="RoundOf16{{ $value.FifaCode }}" type="checkbox">
					      <label class="custom-control-label" for="RoundOf16{{ $value.FifaCode }}">{{ $value.DisplayName }}</label>
					    </div>
					  {{ if mod $row 6 }}
						</div>
						<div class="controls span2 float-left col-sm">
					  {{ end }}
				  {{ end }}
				</div>
		  	</div>

			<h3 class="mt-2">
				{{ index .Translation "Knockout8"}}
			</h3>
		    <label for="Quarterfinal">{{ index .Translation "Select8"}}</label>
			<span id="QuarterfinalPill" class="badge badge-primary badge-pill ml-2"></span>
			<div class="control-group row" id="QuarterfinalDiv" data-elem="Quarterfinal" data-maxChecked="8">
				<div class="controls span2 float-left col-sm">
				  {{ range $key, $value := .Data.Countries }}
					  {{ $row := add $key 1 }}
						<div class="custom-control custom-checkbox">
					      <input name="Quarterfinal" value="{{ $value.FifaCode }}" class="custom-control-input" id="Quarterfinal{{ $value.FifaCode }}" type="checkbox">
					      <label class="custom-control-label" for="Quarterfinal{{ $value.FifaCode }}">{{ $value.DisplayName }}</label>
					    </div>
					  {{ if mod $row 6 }}
						</div>
						<div class="controls span2 float-left col-sm">
					  {{ end }}
				  {{ end }}
				</div>
		  	</div>
			    
			<h3 class="mt-2">
				{{ index .Translation "Semifinal"}}
			</h3>
		    <label for="Semifinal">{{ index .Translation "Select4"}}</label>
		    <span id="SemifinalPill" class="badge badge-primary badge-pill ml-2"></span>
			<div class="control-group row" id="SemifinalDiv" data-elem="Semifinal" data-maxChecked="4">
				<div class="controls span2 float-left col-sm">
				  {{ range $key, $value := .Data.Countries }}
					  {{ $row := add $key 1 }}
						<div class="custom-control custom-checkbox">
					      <input name="Semifinal" value="{{ $value.FifaCode }}" class="custom-control-input" id="Semifinal{{ $value.FifaCode }}" type="checkbox">
					      <label class="custom-control-label" for="Semifinal{{ $value.FifaCode }}">{{ $value.DisplayName }}</label>
					    </div>
					  {{ if mod $row 6 }}
						</div>
						<div class="controls span2 float-left col-sm">
					  {{ end }}
				  {{ end }}
				</div>
		  	</div>

			<h2 class="mt-2">
				{{ index .Translation "FinalPositions"}}
			</h2>
			<div class="form-group">
				<label class="col-form-label" for="Bronze">{{ index .Translation "Bronze" }}</label>
				<select name="Bronze" class="form-control" id="Bronze" required>
					<option value=""></option>
					{{ range .Data.Countries }}
					<option value="{{ .FifaCode }}"> {{ .DisplayName }} </option>
					{{ end }}
				</select>
			</div>

			<div class="form-group">
				<label class="col-form-label" for="Silver">{{ index .Translation "Silver" }}</label>
				<select name="Silver" class="form-control" id="Silver" required>
					<option value=""></option>
					{{ range .Data.Countries }}
					<option value="{{ .FifaCode }}"> {{ .DisplayName }} </option>
					{{ end }}
				</select>
			</div>

			<div class="form-group">
				<label class="col-form-label" for="Gold">{{ index .Translation "Gold" }}</label>
				<select name="Gold" class="form-control" id="Gold" required>
					<option value=""></option>
					{{ range .Data.Countries }}
					<option value="{{ .FifaCode }}"> {{ .DisplayName }} </option>
					{{ end }}
				</select>
			</div>

			<div class="form-group">
				<label class="col-form-label" for="TopScorer">{{ index .Translation "TopScorer"}}</label>
				<input name="TopScorer" class="form-control" placeholder='{{ index .Translation "TopScorer"}}' id="TopScorer" type="text" pattern=".{4,}" required>
				<small id="TopScorerHelp" class="form-text text-muted">{{ index .Translation "FillInProperly" }}</small>
			</div>

			<div class="form-group">
				<label class="col-form-label" for="RefereeInFinal">{{ index .Translation "RefereeInFinal"}} <a href='/static/popups/referees.{{ .Lang }}.txt' target="_blank" title='{{ index .Translation "ListOfReferees"}}'>{{ index .Translation "ListOfReferees"}}</a></label>
				<input name="RefereeInFinal" class="form-control" placeholder='{{ index .Translation "RefereeInFinal"}}' id="RefereeInFinal" type="text" pattern=".{4,}" required>
				<small id="RefereeInFinalHelp" class="form-text text-muted">{{ index .Translation "FillInProperly" }}</small>
			</div>

			<button id="SubmitBetSlip" class="btn btn-lg btn-primary btn-block" type="submit">{{ index .Translation "SubmitBetSlip" }}</button>
		</form>
	</div>
</div>


<div class="modal hide fade" id="FillInModal">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">{{ index .Translation "FillInModalTitle" }}</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>{{ index .Translation "FillInModalBody" }}</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">{{ index .Translation "Close" }}</button>
      </div>
    </div>
  </div>
</div>


<div class="modal hide fade" id="SubmitBetSlipModal">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">{{ index .Translation "SaveBetTitle" }}</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>{{ index .Translation "SaveBetBody" }}</p>
      </div>
      <div class="modal-footer">
        <button id="SendSlip" type="button" class="btn btn-primary">{{ index .Translation "SendSlip" }}</button>
        <button type="button" class="btn btn-secondary" data-dismiss="modal">{{ index .Translation "GoBack" }}</button>
      </div>
    </div>
  </div>
</div>

<div class="modal hide fade" id="ValModal">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">{{ index .Translation "ValModalTitle" }}</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>{{ index .Translation "ValModalBody" }}</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">{{ index .Translation "GoBack" }}</button>
      </div>
    </div>
  </div>
</div>

<div class="modal hide fade" id="SuccessModal">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">{{ index .Translation "GoodLuckModalTitle" }}</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>{{ index .Translation "GoodLuckModalBody1" }}</p>
        <p id="PWithPseud">{{ index .Translation "GoodLuckModalBody2" }}</p>
      </div>
      <div class="modal-footer">
      	<button id="AnotherBtn" data-url="betslip" type="button" class="btn btn-primary">{{ index .Translation "FillInAnother" }}</button>
        <button id="ViewBetsBtn" data-url="bets" type="button" class="btn btn-primary">{{ index .Translation "ViewBets" }}</button>
      </div>
    </div>
  </div>
</div>


<div class="modal hide fade" id="ErrorModal">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">{{ index .Translation "ErrorModalTitle" }}</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>{{ index .Translation "ErrorModalBody" }}</p>
      </div>
      <div class="modal-footer">
      	<button id="ErrorBtn" data-url="betslip" type="button" class="btn btn-primary">{{ index .Translation "StartOver" }}</button>
      </div>
    </div>
  </div>
</div>


{{ end }}
